Page MenuHomePhabricator

copy: rewrite walkpat() to depend less on dirstate
ClosedPublic

Authored by martinvonz on Jan 28 2020, 6:51 PM.

Details

Summary

I want to add a hg cp/mv -r <rev> option to mark files as
copied/moved in an existing commit (amending that commit). The code
needs to not depend on the dirstate for that.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Jan 28 2020, 6:51 PM
martinvonz updated this revision to Diff 19694.Jan 29 2020, 6:37 PM
marmoute accepted this revision.Feb 7 2020, 3:48 PM
marmoute added a subscriber: marmoute.

This looks like a small cleanup we could take independently.

martinvonz updated this revision to Diff 20070.Feb 10 2020, 5:42 PM
martinvonz updated this revision to Diff 20083.Feb 10 2020, 6:30 PM
martinvonz updated this revision to Diff 20171.Feb 12 2020, 4:44 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.